org.apache.lucene.benchmark.byTask

## Class PerfRunData

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.PerfRunData

-     public class PerfRunData
      extends java.lang.Object

  Data maintained by a performance test run.

  Data includes:

  - Configuration.
  - Directory, Writer, Reader.
  - Docmaker and a few instances of QueryMaker.
  - Analyzer.
  - Statistics data which updated during the run.
  Config properties: work.dir=<path to root of docs and index dirs| Default: work>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerfRunData(Config config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()`
    `Config` | `getConfig()`
    `org.apache.lucene.store.Directory` | `getDirectory()`
    `DocMaker` | `getDocMaker()` Returns the docMaker.
    `org.apache.lucene.index.IndexReader` | `getIndexReader()`
    `org.apache.lucene.search.IndexSearcher` | `getIndexSearcher()`
    `org.apache.lucene.index.IndexWriter` | `getIndexWriter()`
    `Points` | `getPoints()`
    `QueryMaker` | `getQueryMaker(ReadTask readTask)`
    `long` | `getStartTimeMillis()`
    `void` | `reinit(boolean eraseIndex)`
    `void` | `resetInputs()`
    `void` | `setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`
    `void` | `setDirectory(org.apache.lucene.store.Directory directory)`
    `void` | `setIndexReader(org.apache.lucene.index.IndexReader indexReader)`
    `void` | `setIndexWriter(org.apache.lucene.index.IndexWriter indexWriter)`
    `long` | `setStartTimeMillis()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerfRunData

          public PerfRunData(Config config)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### reinit

          public void reinit(boolean eraseIndex)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setStartTimeMillis

          public long setStartTimeMillis()

    - #### getStartTimeMillis

          public long getStartTimeMillis()

      Returns:
        Start time in milliseconds

    - #### getPoints

          public Points getPoints()

      Returns:
        Returns the points.

    - #### getDirectory

          public org.apache.lucene.store.Directory getDirectory()

      Returns:
        Returns the directory.

    - #### setDirectory

          public void setDirectory(org.apache.lucene.store.Directory directory)

      Parameters:
        `directory` - The directory to set.

    - #### getIndexReader

          public org.apache.lucene.index.IndexReader getIndexReader()

      Returns:
        Returns the indexReader.

    - #### getIndexSearcher

          public org.apache.lucene.search.IndexSearcher getIndexSearcher()

      Returns:
        Returns the indexSearcher.

    - #### setIndexReader

          public void setIndexReader(org.apache.lucene.index.IndexReader indexReader)

      Parameters:
        `indexReader` - The indexReader to set.

    - #### getIndexWriter

          public org.apache.lucene.index.IndexWriter getIndexWriter()

      Returns:
        Returns the indexWriter.

    - #### setIndexWriter

          public void setIndexWriter(org.apache.lucene.index.IndexWriter indexWriter)

      Parameters:
        `indexWriter` - The indexWriter to set.

    - #### getAnalyzer

          public org.apache.lucene.analysis.Analyzer getAnalyzer()

      Returns:
        Returns the anlyzer.

    - #### setAnalyzer

          public void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

    - #### getDocMaker

          public DocMaker getDocMaker()

      Returns the docMaker.

    - #### getConfig

          public Config getConfig()

      Returns:
        Returns the config.

    - #### resetInputs

          public void resetInputs()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getQueryMaker

          public QueryMaker getQueryMaker(ReadTask readTask)

      Returns:
        Returns the queryMaker by read task type (class)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.